extends Label


# Called when the node enters the scene tree for the first time.
func _ready():
	var arguments = {}
	for argument in OS.get_cmdline_user_args():
		if argument.find("=") > -1:
			var key_value = argument.split("=")
			arguments[key_value[0].lstrip("--")] = key_value[1]
		else:
			# Options without an argument will be present in the dictionary,
			# with the value set to an empty string.
			arguments[argument.lstrip("--")] = ""
	
	if "session" in arguments.keys():
		set_text("Session " + arguments["session"])
	else:
		set_text("Session <Unknown>")

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta):
	pass
